= Release 1.3.2.0 =
== Bug Fix ==
 * Fixed issue #276: Crash on seeing diff with previous version
 * Fixed issue #275: Load gitweb for 'Browse' button
 * Fixed issue #265: Log dialog: Date picker throws multiple error messages when date is before 1.1.1970
 * Fix RefLogDlg crash

= Release 1.3.1.0 =
== Features ==
 * Improve Log Dialog. Speed up log fetch speed. 
   Build Git source as a DLL. LogDialog will call gitdll to fetch log instead of capture git.exe output.
   Improve refresh and all branch user experience. refresh can abort runing fetch log commit.

 * Improve icon-overlay
   Give up igit.exe and use tgit which build from git source by VS. 
   use tgit.exe statusex to get file status. 
   Don't list all untracked files. 
 
 * Improve commit and checkout modify dialog
   Don't show file that is only time stamp change and no context change. 
   Run git-update-index first when open commit and checkout out modify dialog. 

== Bug Fix ==
 * Fixed issue #234: First log(first commit in history) was missing...
 * Fixed issue #232: "No Commit" Option always acitve
 * Fix Issue 236:	CGit::GetRemoteList uses bad regular expression
 * Fix blame show wrong when first char is '^'
 * Workaround show "fail" even git run success at sometime by remove "fail" message.
 * Issue 265:	Log dialog: Date picker throws multiple error messages when date is before 1.1.1970

= Release 1.2.1.0 =
== Features ==
 * Add color success and fail at ProgressDlg
 
 * Log Dialog
   Show work copy to log dialog. User can commit change at log dialog.
   Easy to compare with working copy difference
  
 * Allow Alt+O in commit dialog for OK 
 
 * Sync Dialog remote URL support save history
   
 * Add remote branch and current branch at proptery page  
 
 * Add no-commit option at merge dialog
  
 * Enable IBugTraqProvide CheckCommit and OnCommitFinished
 
== Bug Fix ==
 * Fixed issue #219: Blame Error when git repository is at root directory and path use "/"
 * Fixed issue #214: installer inserts unused or faulty registry key
 * Fixed issue #179: Log dialog lacks information about changed files
 * Fixed issue #209: High CPU usage in tortoiseproc.exe & limit line number
 * Fixed issue #212: Disable the "Select items automaticlly" option has no effect to commit files dialog
 * Fixed issue #209: High CPU usage in tortoiseproc.exe & Append text to edit ctrl
 * Fixed Issue #203:  Remote URL select box in sync dialog is not populated with remotes.
 * Fixed Issue #208:  During push (from context menu), branches missing from drop down list.
 * Fixed issue #86: Globally sets HOME affecting third-party applications (GNU Emacs) 
 * Fixed issue #188: Add Git Properties tab into Windows File Properties

= Release 1.1.1.0 =
== Features ==
 
 * Improve Rebase Dialog
   Allow lanuch new rebase dialog again after finish rebase dialog
   Disable "force rebase" checkbox during rebase.

 * Git SVN
   Append svn:ignore settings to the default git exclude file Add shell extension command to import svn ignore settings. 
   Need press "Shift" key to show "import svn ignore" command.
   
 * Drag-drop copy\move support
   File only
  
 * Add paste command at shell extension
   Copy and paste file is okay. But there are problems when including directory. 
   Cut and paste working
 
 * Update notepad2 to 4.022

 * Sync Dialog
   Ability to sync submodules in TGit sync dialog
 
 * Statics
   Sort commits by dates before processed by StatGraphDlg
 
 * Log Dialog
   Show <No branch> replace ref error message at log dialog
   
 * Add Check software updater support. 
 
== Bug Fix ==
 * Fixed issue #185. "Can't find Super-project" when pathname include space.
 * Fixed issue #190: Access violation in Blame and wrong path name when root dir is git repository
 * Fixed issue #180: Create patch serial doesn't work when there is "\" at end of path
 * Fixed issue #173: SVN Rebase does not work The correct handle below case git config svn-remote.svn.fetch myproject/trunk:refs/remotes/trunk
 * Fixed issue #169: Force rebase checkbox is fixed
 * Fixed issue #163: Conflict "theirs" and "mine" are reversed during a rebase
 * Fixed issue #165: Incorect path to Notepad2
 * Fixed issue #158: Rebase can act on the wrong branch
 
= Release 1.0.2.0 =
== Bug Fix ==
 * Fixed issue #155: Fix SVN Rebase sets upstream as remotes/trunk
 * Fixed issue #157: Move progress dlg before rebase dialog SVN Rebase doesn't fast-forward

= Release 1.0.1.0 =
== Features ==
 
 * Improve Commit Dialog
   Show line and column number
   Add view/hide patch windows
   
 * Improve Log Dialog
   Bolad subject at log dialog
   
 * Setting Config Dialog
   Add core.autocrlf and core.safecrlf
 
 * Add more option to resolve conflict 
   Add Resolve "Their" and Resolve "Mine" at conflict item.
 
 * Improve Merge dialog
   Add message box to allow input message when merge 
 
 * Improve Stash
   Add Stash pop. 
   Add delete stash at logview.   
   
== Bug Fix ==
 * Fix don't show "push" after commit
 * Fixed issue #133: Command fails on folder with leading dash And -- to separate file and git options
 * Fixed issue #133: (mv\rename  problem) Command fails on folder with leading dash And -- to separate file and git options
 * Fixed issue #140: Incorrect treatment of "Cancel" action on "Apply patch serial" command
 * Fixed Issue #135:  Taskbar text says "TortoiseSVN"
 * Fix Issue #142:  TortoiseGit Clone of SVN repo does not use PuTTY session for non-standard SSH port
 * Fixed Issue #138:  "Format patch" in "Show log" dialog doesn't work
 * Fixed Issue #141:  Bizarre ordering in commit dialog
 * Fixed Issue #137:  Proxy Authentification fails
 * Fixed issue #131: Missing SVN DCommit Command
 * Fixed issue #139: "Format patch" with a range of revisions doesn't export the first revision in the range
 * Fix Pathwatcher thread can't stop when commitdlg exit.
 * Fixed issue #150: When pushing, 'remote' should default to the tracked branch, or empty
 
= Release 0.9.1.0 =
== Features ==
 
 * Add Sync Dialog like TortoiseHg. 
   Put pull, fetch, push, apply patch and email patch together. You can Know what change pull and push. Show changed file list. 
 
 * Enhance Rebase dialog. Add force rebase checkbox. Disable start button when no item rebase. Don't show merge commit
 
 * Add post action button for rebase dialog. Such as send patch by email
   After rebase, you can click button to send patch email directly. 
 
 * Add  launch rebase option at fetch dialog.
 
 * Improve push dialog.
   Default settings from local repositories pushing to remote repository Choose track remote and remote branch! Add short-cut at push dialog
   Add "F5" refresh remote and branch info at push dialog
 
 * Add Clean Untracked version type
   User can choose clean untracked file, clean ignore file, clean all.
   
 * Enhancement: "Git Clone" from SVN repository with additional start revision number option (-r xxx:HEAD) 
 
 * Improve Commit dialog
   Add recent message back to context menu.
   The "Message" field of the Commit dialog should have a shortcut key (Alt-M is a good choice)
   Make "Whole project" directory checked by default when the user commits in the root of the project. 
   When using "Commit" to also add files, if you forget to check the new files and press "Ok", you get the dialog "Nothing Commit" and then the whole Commit dialog closes. Keep the dialog open after this message.

   
 * Improve setting dialog
   Settings: Git -> Remote: When creating the first remote, the "Remote" should have "origin" as default.
   Fix setting dialog remote page tab order 
   Push: When you press "Manage" under Destinations, the Settings dialog opening should have "Git -> Remote" selected by default.
      
== Bug Fix ==
 * Fixed issue #124: Incorrect Date header in patch e-mail
 * Fixed issue #122: Garbage text in "Git Command Progress" / suspected buffer overflow Improve commit speed when many added files.
 * Fixed issue #121: Refresh in "Check for modifications" dialog duplicates added state entries when new repository
 * Fixed issue #71: (TortoiseProc problem)Icon Overlays don't work in root of drive When m_CurrentDir =C:\, not C:,  pathlist calulate wrong.
 * Fixed issue #116: SVN Rebase doesn't work
 * Fixed issue #115: Windows XP: Initial "Git Clone..." from SVN Repository doesn't work
 * Fix "ESC" = "push" when after commit and Add Alt-P  for Push
 * Fixed issue #111: Undo Add does not work (keep added file) and enable "F5" at revert dialog
 * Fixed issue #109: clone on bare local repository fails Clear trail slash \ or/
 * Fixed issue #104: Doubleclicking changed submodule dir in Check For Modifications dlg, crashes TGit Fix log dialog double click submodule problem
 
= Release 0.8.1.0 =
== Features ==

 * Improve work flow and reduce click
   Commit: Made user able to push after successful commit
   Show Push Dialog after close commit dialog
   Add messagebox to ask if stash change when rebase at dirty work space
   Show GUI friendly diffstat after pull

 * Rebase: Select default upstream based on current tracked remote

 * Improve BrowseRef Dialog
   Add Option to delete multiple refs
   Added 'Switch to this Ref' option
   Fetch context menu item added.
   Add "BrowseRef" to shell extension command.
   Add ability to diff two commits
   Added option to delete remote branch
   Always set initial ref
   Show context menu icons
   Save / Restore window size

 * Add Basic Git-SVN Operation
   Add SVN DCommit Command
   Add "SVN Rebase" and "SVN DCommit" command at shell contextmenu
   Support Git svn-clone at clone dialog.
 
 * Help Document Updated
   Add git basic book. 
   
 * Add Help button at many dialog

 * Improve Format Patch
   May also select 'format patch...' if selection is continuous.
   Implemented browse buttons and added browsebutton for 'since'.

 * Add TortoiseIDiff to compare picture

 * Enable Bugtraq setting dialog  

 * Improve Log dialog
   Ajust label colors when selected. (Not on Vista with themes enabled)
   Add compare with working copy at log dialog  
   Ref label borders

 * FileDiffDlg: Make shift right-left button work  

 * Branch/Tag dlg: Update 'track' option after browse-refs

 * StatusListCtrl: Implemented delete unversioned file.

 * RebaseDlg: Update rebase lines after browserefs

 
== BugFix ==

 * Fix Issue 64:  When the graph column is small, the graph sometimes appears through the text of the next column on Vista
 * Fix log graph tree mass when dragon scroll bar from left to right
 * Fix Issue 104:  Doubleclicking changed submodule dir in Check For Modifications dlg, crashes TGit
 * Pull: Fixed bug that when pulling from the configured remote branch, git did not update the remote tracking branches.
 * Fix stash problem when svn dcommit at dirty working space
 * Modify Create repository error message
 * Fix Issue #102:  Invalid patch e-mails generated
 * Fix submodule update Crash when repository have not submodule
 * Fixed issue #88: Ambiguous dialog message
 * Correct format patch command -num argument
 * PushDlg: Fix: Wrong remote selected after selection via ref-browser.
 * Rebase: Skip in context-menu appeared twice. First one should be pick.
 * Fix Issue #89: Can't locate msysgit on x64
 * Fix Issue #95:  TortoiseBlame Icon disappears when selected in the settings treeview
 * Fix Issue 94 Commit log showing incorrect timestamps
 * Fix pull don't launch putty key file

= Release 0.7.2.0 =
== Features ==

 * Add bug track plug-in support
   Compatible with TortoiseSVN. The typical plug in is gurtl(google code issue plug-in).
   http://code.google.com/p/gurtle/.

 * Support browse reference.
   Show all branch, tags information. Support add remote, del branch\tag. 

 * Show merged file at log dialog.

 * Update version graphic tree. 
   Update graphic tree to qgit2.3

 * Add option -p for TortoisePLink. 
   -p is the same as -P. So it is compatible with OpenSSH port option

== Bug Fix ==

 * Fix Issue 91:  clone dialog generates bad directory name based on URL, ignores overrid
 * Fix Issue 85:  Installer: warns of downgrade when running 0.6.2.0 on top of 0.6.1.0
 * Fix i18n.logOutputEncoding doesn't work at log\commit dialog.

= Release 0.6.2.0 =
== Feature ==

 * Improve fetch overlay speed 
   rebase igit.exe to msysgit 1.6.2.2, which is major application to get git status.

 * TortoiseMerge Support git format patch file. 
   TortoiseMerge can open git patch file and review diff and merge change.
 
 * SendMail support
   Right click .patch or .diff file, click "send mail..." to send patch out.
 
 * improve clone dialog
   Add auto fill module name at directory when change URL. Fix tab order.

== Bug fix ==

 * Issue 73:  Error while reading/writing the registry key MSysGit Access is denied
 * Issue 11:  Show differences as unified diff does not use selected item
 * Issue 77:  "Show differencess" against a deleted file will cause TortoiseMerge to error
 * Issue 74:  Add multiple files from commit dialog only adds first two in multi-selection
 * Issue 75:  About box does not show version information
 * Wrong error message when fail launch pageant
 * Setup will launch old version msi to remove old version. Directly update to new version without remove old version
 * Double click conflict item to launch diffview, not conflict edit.
 * Issue 66 in tortoisegit: Some log lines lose color or disappear after you click on them
 * Issue 81:  Cannot have x86 and x64 versions installed at the same time.  	

= Release 0.5.1.0 =
== Feature ==

 * Submodule Support.
   Support submodule add, sync and update. 
   "Submodule Sync" is located in explore context external menu, which need press "shift" key when right click.
   
 * Improve show log speed at big repository, such as git.git

 * OpenSSH can prompt password dialog

 * Clone, pull push support both OpenSSH and Plink. 
   Support both key and password mode. 
   Show progress when clone at git and SSH protocol. 

 * Stash Save\Apply support
	 
 * Reflog support. Need press "shift" to show reflog menu item at context menu. 

 * Add save special version to another file at file list, such as log dailog.
	
 * Add external diff merge and undiff setting at settings page

 * Add Diff with workcopy at file list	

 * Add MessageBox Tell user Revert Finished
	
 * Add Notepad2 to setup script to view text file
	
 * Add view in notepad2 at file list
	
 * Add Copy File list to clipboard 

 * Choose Default SSH client when install TortoiseGit
	
 * Add user config and remote manage at setting dialog
	
 * Pull and push can autoload putty private key. 

== Bug Fix ==	 

 * Fix Issue 52:  TortoiseMerge crashes on x64  
 * Fixed Issue 55:  "resolved" function doesn't delete temporary files.
 * Fix: Issue 57:  Data duplication when Clicking Check repository in Check for modification dialog	
 * Fix GetString error when edit at HistoryCombo
 * win2k context menu fix (had an issue when shift key was pressed)
 * Fix crash in logviewer on invalid time strings
 * Issue 61:  Add/Commit of files with umlauts in filename not working  

= Release 0.4.2.0 =
== Feature ==

 * Full Overlay Icon Support.
   Show "Conflict, ignore file, untracked file, modified, Add, staged" icon according to file status. 

 * Rebase Support.
   Support "Pick" "Sqaush" "Edit" and "Skip" commit when rebase branch. 
   Support abort.
 	
 * Combine Multi-commits to one commit.
   Combine continous commits to one commit. The limition is the only single line(no merge point) above combined commit.

 * Cherry Pick multi commits. 
   User can use multi commits at log dialog and then choose cherry pick these. Cherry Pick dialog guide you finish whole work. 
   Support "Pick" "Squash" "Edit" and "Skip" commits.
	
 * First x64 version. 

 * Support version "browse" at switch, export, new branch/tag and merge dialogs.

 * Add context menu item "Revert" at Commit dialog File List.

 * Show bold font for HEAD at log dialog.
	
 * Add "Whole Project" checkbox at commit dialog

 * First Version Help Document. 

== Bug Fix ==

 * Fix Shell menu disappear because ATL library have not installed. 
 * Fix Commit Dialog and Log Dialog default column is wrong 
 * Fix some dialog can't show after resize and close and open again
 * Fix ProgressDlg Sometime thread is dead blocked.
 * Fixed x64 build of TortoiseProc crashed due to received unexpected messages
 * Fix tag to head when *force* check box checked
 * Add Git document to help
 * Fix issue 36, Push not working if no remote branch is specified
 * Default UnCheck untrack file at commit dialog
 * Issue 40:  Commit from subfolder shows unversioned files in parent
 * Fix diff problem when filenames have embedded spaces
 * Fix Issue 24,45, Commit results not in window with scroll bars
 * Fix for win2k context menu icons
 * Fix Issue 46, The about window title still displays TortoiseSVN
 * Fix Issue 37, When the file name contains Chinese char, Diff doesn't work. 
 * Fix Issue 28, "Add" status icon overlay is not correct.  

= Release 0.3.3.0 =
== Feature ==

 * Icon Overlay
   Show different icon overlay at git repository. Support File and directory icon overlay. 

 * Show version tree in log dialog. 
   Show version graphic tree at log list dialog. Use QGit style. 
	
 * Enable log cache to improve log show speed. 

 * VS2008 Style Blame application. 
   Show different back color according to line age. Show blame file log list to know which line is newer. 
	
 * Enable conflict handle
   Show conflict status at any file list, such as commit dialog. User just need right click and choose resolve conflict, tortoisemerge will be launch. 
	
 * Related time show support. 
	
 * Setting dialog support. 
	
 * Enable TortoisePlink. 
   Passwork dialog can prompt when use tortoiseplink as ssh client. 
	
 * Git Reset support. 
   User can right click log list at log dialog. Choose reset to reset current branch to chosen commit. 
	
 * Current handle renamed file at file list. 
	  
== Bug Fix ==
 * Disable file overlay icon at vista system to avoid explore crash
 * File overlay default is enable at XP system. User can disable it by setting dialog. 
 * Issue 20:  Add To Ignore from Commit dialog not working
 * Fix Issue 31 in tortoisegit: Init Repository, Commit dialog can not show added file
 * Issue 30: Clone does not support UNC path to repository
 * Fix when setting ssh client is null. GIT_SSH environment variable is not clear
 * Fix Issue 29:  F5 should refresh TGit log
 * Fix log filter don't filter commit hash
 * Issue 25:  Log refresh does not pick up new tags on top line, or move 'master' up
 * Fix Issue 27:  Deleted files not committed
 * Fix Issue 22 Error deleting file from context menu if filename contains spaces
 * Fix Issue 6 Add does not work.
 * Fix issue8. Clone of git via HTTP Creates repo in wrong location
 * Fix issue9. Error commit file with chinese filename. 
 * Fix issue10. Switch and Create Branch drop-downs only display 25 items
 * Fix issue13. Create branch fail if branch name is invalidate
 * Fix issue14. Commit dialog don't report error when no message input 
 * Fix issue16. Commit dialog, F5 don't work.
 * Fix "explore to" in context menu in commit dialog. 
 * Fix redraw all when loading thread finish load log.

= Release 0.2.0.0 =
== Features ==

 * Add TortoisgeMerge as default compare tools
 * Pull, Fetch, Push 
 * Create Branch\Tag
 * Switch branch \Chechout
 * Compare with previous version
 * Clone(only support local repository, see known issue for detail)
 * Log Dialog support filter
 * Check for modifications
 * Revert local change
 * Create Patch Serial
 * Apply Patch Serial
 * Add file to repository(see know issue)
 * Export to zip file

== Bug Fix ==

 * A2W cause stack overwrite bug when git output is long. 

== Known Issue ==

 * ProcessDlg will wait for ever when clone remote repository(ssh, http,git).
 * push fetch and pull don't support password mode. Just support public key problem. 
 * Just fetch first 100 log item. 
 * If install TortoiseGit before MsysGit, you need modify register 
	    HKEY_LOCAL_MACHINE\Software\TortoiseGit\\MsysGit\
	   Let it point to correct msysgit install path.
 * Add File, please commit and show unversion file, the choose add file, then right clict, Choose Add file	 
 * To new initial repository, You will not see add file again in commit dialog box if give up commit when choose add
	 

= Release 0.1.0.0 =
== Features == 

 * Context menu(subset of TortoiseSVN)
 * Icon Overlay(version controled\unversion controled at directory)
 * Unified DIFF
 * Use third part diff tools (such kdiff3)
 * Commit change
 * Show Log
 * Create Repository
	